Package com.io7m.jcamera

# Class JCameraFPSStyleSnapshot.Builder

java.lang.Object
com.io7m.jcamera.JCameraFPSStyleSnapshot.Builder

Enclosing class:
  JCameraFPSStyleSnapshot

public static final class JCameraFPSStyleSnapshot.Builder extends Object
Builds instances of type `JCameraFPSStyleSnapshot`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JCameraFPSStyleSnapshot`
  `build()`
  Builds a new `JCameraFPSStyleSnapshot`.
  `final JCameraFPSStyleSnapshot.Builder`
  `from(JCameraFPSStyleReadableType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jcamera.JCameraFPSStyleReadableType` instance.
  `final JCameraFPSStyleSnapshot.Builder`
  `from(JCameraFPSStyleSnapshotType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jcamera.JCameraFPSStyleSnapshotType` instance.
  `final JCameraFPSStyleSnapshot.Builder`
  `setCameraGetAngleAroundHorizontal(double cameraGetAngleAroundHorizontal)`
  Initializes the value for the `cameraGetAngleAroundHorizontal` attribute.
  `final JCameraFPSStyleSnapshot.Builder`
  `setCameraGetAngleAroundVertical(double cameraGetAngleAroundVertical)`
  Initializes the value for the `cameraGetAngleAroundVertical` attribute.
  `final JCameraFPSStyleSnapshot.Builder`
  `setCameraGetForward(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetForward)`
  Initializes the value for the `cameraGetForward` attribute.
  `final JCameraFPSStyleSnapshot.Builder`
  `setCameraGetPosition(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetPosition)`
  Initializes the value for the `cameraGetPosition` attribute.
  `final JCameraFPSStyleSnapshot.Builder`
  `setCameraGetRight(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetRight)`
  Initializes the value for the `cameraGetRight` attribute.
  `final JCameraFPSStyleSnapshot.Builder`
  `setCameraGetUp(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetUp)`
  Initializes the value for the `cameraGetUp` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final JCameraFPSStyleSnapshot.Builder from(JCameraFPSStyleSnapshotType instance)
    Fill a builder with attribute values from the provided `com.io7m.jcamera.JCameraFPSStyleSnapshotType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final JCameraFPSStyleSnapshot.Builder from(JCameraFPSStyleReadableType instance)
    Fill a builder with attribute values from the provided `com.io7m.jcamera.JCameraFPSStyleReadableType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setCameraGetAngleAroundHorizontal

    public final JCameraFPSStyleSnapshot.Builder setCameraGetAngleAroundHorizontal(double cameraGetAngleAroundHorizontal)
    Initializes the value for the `cameraGetAngleAroundHorizontal` attribute.
    Parameters:
      `cameraGetAngleAroundHorizontal` - The value for cameraGetAngleAroundHorizontal
    Returns:
      `this` builder for use in a chained invocation

  - ### setCameraGetAngleAroundVertical

    public final JCameraFPSStyleSnapshot.Builder setCameraGetAngleAroundVertical(double cameraGetAngleAroundVertical)
    Initializes the value for the `cameraGetAngleAroundVertical` attribute.
    Parameters:
      `cameraGetAngleAroundVertical` - The value for cameraGetAngleAroundVertical
    Returns:
      `this` builder for use in a chained invocation

  - ### setCameraGetRight

    public final JCameraFPSStyleSnapshot.Builder setCameraGetRight(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetRight)
    Initializes the value for the `cameraGetRight` attribute.
    Parameters:
      `cameraGetRight` - The value for cameraGetRight
    Returns:
      `this` builder for use in a chained invocation

  - ### setCameraGetUp

    public final JCameraFPSStyleSnapshot.Builder setCameraGetUp(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetUp)
    Initializes the value for the `cameraGetUp` attribute.
    Parameters:
      `cameraGetUp` - The value for cameraGetUp
    Returns:
      `this` builder for use in a chained invocation

  - ### setCameraGetForward

    public final JCameraFPSStyleSnapshot.Builder setCameraGetForward(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetForward)
    Initializes the value for the `cameraGetForward` attribute.
    Parameters:
      `cameraGetForward` - The value for cameraGetForward
    Returns:
      `this` builder for use in a chained invocation

  - ### setCameraGetPosition

    public final JCameraFPSStyleSnapshot.Builder setCameraGetPosition(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetPosition)
    Initializes the value for the `cameraGetPosition` attribute.
    Parameters:
      `cameraGetPosition` - The value for cameraGetPosition
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public JCameraFPSStyleSnapshot build()
    Builds a new `JCameraFPSStyleSnapshot`.
    Returns:
      An immutable instance of JCameraFPSStyleSnapshot
    Throws:
      `IllegalStateException` - if any required attributes are missing